HttpResponse::setFile
HttpResponse::setHeader
The HttpResponse
PHP Manual

# HttpResponse::setGzip

(PECL pecl_http:0.10.0-1.5.5)

HttpResponse::setGzip — Set gzip

### Description

static bool HttpResponse::setGzip ( bool `$gzip` )

Enable on-thy-fly gzip'ing of the sent entity.

### Parameters

`gzip`

  whether GZip compression should be enabled

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- HttpResponse::getGzip

HttpResponse::setFile
HttpResponse::setHeader
The HttpResponse
PHP Manual